
Infrastructure - Task #2325

Story # 2086 (Closed): CN issues found when creating tests for Python D1 CNClient

CNCore.generateIdentifier() - 500

2012-02-13 06:26 - Roger Dahl

Status: Closed Start date: 2012-02-13

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

operation: POST /cn/v1/generate

12/02/12 23:24:04 DEBUG    headers: {'Content-Length': 317, 'Charset': 'utf-8', 'Content-Type': 'multipart/form-data;

boundary=----------6B3C785C-6290-11DF-A355-A6ECDED72085_$', 'Accept': 'text/xml', 'User-Agent': 'pyd1/1.0.0 +

http://dataone.org/'}

ServiceFailure: name: ServiceFailure

errorCode: 500

detailCode: 0

description: Node responded with a valid status code but failed to include the expected Content-Type

Status code: 500

Content-Type: text/xml;charset=UTF-8

traceInformation: <?xml version="1.0" encoding="UTF-8"?>

Internal Server Error: The server encountered an unexpected condition which prevented it from fulfilling the request.

History

#1 - 2012-02-22 04:49 - Roger Dahl

- Status changed from New to Closed

Caused by a bug in d1_common.mime_multipart.py (incorrect rendering of field sections).
